<?php

class Lumav_EveryPay_Block_Adminhtml_System_Config_Method extends Mage_Adminhtml_Block_System_Config_Form_Field_Array_Abstract
{
    public function __construct()
    {
        $this->addColumn('source', array(
            'label' => 'Payment Code',
            'style' => 'width:120px',
            'class' => 'required-entry',
        ));
        $this->addColumn('display_name', array(
            'label' => 'Title',
            'style' => 'width:120px',
            'class' => 'required-entry',
        ));
        $this->addColumn('logo_url', array(
            'label' => 'Image Path',
            'style' => 'width:120px',
        ));
        $this->addColumn('country_code', array(
            'label' => 'Country Code',
            'style' => 'width:120px',
        ));

        $this->_addAfter       = false;
        $this->_addButtonLabel = "Add payment option";
        parent::__construct();
    }
}
