<?php

class Lumav_EveryPay_Model_Everypay_Card extends Lumav_EveryPay_Model_Everypay
{
    protected $_code           = 'lumav_everypay_card';
    protected $_parentCode     = 'lumav_everypay';
    protected $_formBlockType  = 'everypay/form_card';
    
    public function isAvailable() {
        $methods = Mage::helper('everypay')->getEverypayMethods($card = true);
        return Mage::getStoreConfig('payment/' . $this->_parentCode . '/active') && !empty($methods);
    }
    
    public function getTitle() {
        return Mage::getStoreConfig('payment/' . $this->_parentCode . '/title_cc');
    }
    
    public function assignData($data)
    {
        $this->getInfoInstance()
            ->setAdditionalInformation('lumav_everypay_method', $data->getData('lumav_everypay_card_method'))
            ->setAdditionalInformation('lumav_everypay_use_token', $data->getData('lumav_everypay_card_use_token'));
    }
}